Extending Qt Creator Manual | DebuggerKitInformation

Extending Qt Creator Manual 4.3.0

# DebuggerKitInformation Class

(Debugger::DebuggerKitInformation)

Inherits: | ProjectExplorer::KitInformation

- List of all members, including inherited members

## Public Types

enum | ConfigurationError { NoConfigurationError, NoDebugger, DebuggerNotFound, DebuggerNotExecutable, DebuggerNeedsAbsolutePath, DebuggerDoesNotMatch }
flags | ConfigurationErrors

## Public Functions

| DebuggerKitInformation()

- 15 public functions inherited from ProjectExplorer::KitInformation

## Static Public Members

ConfigurationErrors | configurationErrors(const ProjectExplorer::Kit *k)
const DebuggerItem * | debugger(const ProjectExplorer::Kit *kit)
QString | displayString(const ProjectExplorer::Kit *k)
DebuggerEngineType | engineType(const ProjectExplorer::Kit *k)
Core::Id | id()
ProjectExplorer::StandardRunnable | runnable(const ProjectExplorer::Kit *kit)
void | setDebugger(ProjectExplorer::Kit *k, const QVariant &id)
QList<ProjectExplorer::Task> | validateDebugger(const ProjectExplorer::Kit *k)

### Additional Inherited Members

- 3 protected functions inherited from ProjectExplorer::KitInformation

## Member Type Documentation

### enum DebuggerKitInformation::ConfigurationError
flags DebuggerKitInformation::ConfigurationErrors

The ConfigurationErrors type is a typedef for QFlags<ConfigurationError>. It stores an OR combination of ConfigurationError values.

## Member Function Documentation

### DebuggerKitInformation::DebuggerKitInformation()

Default constructs an instance of DebuggerKitInformation.

### `[static]` ConfigurationErrors DebuggerKitInformation::configurationErrors(const ProjectExplorer::Kit *k)

### `[static]` const DebuggerItem *DebuggerKitInformation::debugger(const ProjectExplorer::Kit *kit)

See also setDebugger().

### `[static]` QString DebuggerKitInformation::displayString(const ProjectExplorer::Kit *k)

### `[static]` DebuggerEngineType DebuggerKitInformation::engineType(const ProjectExplorer::Kit *k)

### `[static]` Core::Id DebuggerKitInformation::id()

### `[static]` ProjectExplorer::StandardRunnable DebuggerKitInformation::runnable(const ProjectExplorer::Kit *kit)

### `[static]` void DebuggerKitInformation::setDebugger(ProjectExplorer::Kit *k, const QVariant &id)

See also debugger().

### `[static]` QList<ProjectExplorer::Task> DebuggerKitInformation::validateDebugger(const ProjectExplorer::Kit *k)